osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[jira] [Created] (FLINK-9865) flink-hadoop-compatibility should assume Hadoop as provided


Stephan Ewen created FLINK-9865:
-----------------------------------

             Summary: flink-hadoop-compatibility should assume Hadoop as provided
                 Key: FLINK-9865
                 URL: https://issues.apache.org/jira/browse/FLINK-9865
             Project: Flink
          Issue Type: Bug
          Components: Build System
    Affects Versions: 1.5.1, 1.5.0
            Reporter: Stephan Ewen
            Assignee: Stephan Ewen
             Fix For: 1.6.0


The {{flink-hadoop-compatibility}} project as a *compile* scope dependency on Hadoop ({{flink-hadoop-shaded}}). Because of that, the hadoop dependencies are pulled into the user application.

Like in other Hadoop-dependent modules, we should assume that Hadoop is provided in the framework classpath already.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)